ON_UuidPairList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_UuidPairList:

## Public Member Functions

| ON_UuidPairList ()
| ON_UuidPairList (int capacity)
| ~ON_UuidPairList ()
| ON_UuidPairList (const ON_UuidPairList &src)
ON_UuidPairList & | operator= (const ON_UuidPairList &src)
int | Count () const
void | Empty ()
void | Reserve (int capacity)
bool | AddPair (ON_UUID id1, ON_UUID id2, bool bCheckForDupicates=true)
bool | RemovePair (ON_UUID id1)
bool | RemovePair (ON_UUID id1, ON_UUID id2)
bool | FindId1 (ON_UUID id1, ON_UUID *id2=0) const
bool | FindPair (ON_UUID id1, ON_UUID id2) const
int | GetId1s (ON_SimpleArray< ON_UUID > &uuid_list) const
void | ImproveSearchSpeed ()

## Detailed Description

Definition at line 1481 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_UuidPairList() [1/3]

ON_UuidPairList::ON_UuidPairList | ( |  | ) |

## ON_UuidPairList() [2/3]

ON_UuidPairList::ON_UuidPairList | ( | int | capacity | ) |

## ~ON_UuidPairList()

ON_UuidPairList::~ON_UuidPairList | ( |  | ) |

## ON_UuidPairList() [3/3]

ON_UuidPairList::ON_UuidPairList | ( | const ON_UuidPairList & | src | ) |

## Member Function Documentation

## AddPair()

bool ON_UuidPairList::AddPair | ( | ON_UUID | id1,
|  | ON_UUID | id2,
|  | bool | bCheckForDupicates = `true`
| ) |  |

## Count()

int ON_UuidPairList::Count | ( |  | ) | const

## Empty()

void ON_UuidPairList::Empty | ( |  | ) |

## FindId1()

bool ON_UuidPairList::FindId1 | ( | ON_UUID | id1,
|  | ON_UUID * | id2 = `0`
| ) |  | const

## FindPair()

bool ON_UuidPairList::FindPair | ( | ON_UUID | id1,
|  | ON_UUID | id2
| ) |  | const

## GetId1s()

int ON_UuidPairList::GetId1s | ( | ON_SimpleArray< ON_UUID > & | uuid_list | ) | const

## ImproveSearchSpeed()

void ON_UuidPairList::ImproveSearchSpeed | ( |  | ) |

## operator=()

ON_UuidPairList& ON_UuidPairList::operator= | ( | const ON_UuidPairList & | src | ) |

## RemovePair() [1/2]

bool ON_UuidPairList::RemovePair | ( | ON_UUID | id1 | ) |

## RemovePair() [2/2]

bool ON_UuidPairList::RemovePair | ( | ON_UUID | id1,
|  | ON_UUID | id2
| ) |  |

## Reserve()

void ON_UuidPairList::Reserve | ( | int | capacity | ) |

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h